Cloud Interconnect API, REST: PointOfPresence.List
Retrieves the list of PointOfPresence resources in the specified folder.
HTTP request
GET https://cic.api.cloud.yandex.net/cic/v1/pointOfPresences
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 100. |
|
filter |
string A filter expression that filters resources listed in the response.
The maximum string length in characters is 1000. |
Response
HTTP Code: 200 - OK
{
"pointOfPresences": [
{
"id": "string",
"name": "string",
"locationAddress": "string",
"connectionPoints": [
"string"
]
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
pointOfPresences[] |
List of PointOfPresence resources. |
|
nextPageToken |
string This token allows you to get the next page of results for list requests. If the number of results |
PointOfPresence
A PointOfPresence resource.
|
Field |
Description |
|
id |
string ID of the pointOfPresence. |
|
name |
string Name of the pointOfPresence. |
|
locationAddress |
string Location address of the pointOfPresence. |
|
connectionPoints[] |
string Links to info about the connection points. |